| flash.h | Header File

Header File Index

Low-level routines for working with the Flash ROM

Functions

BatTooLowFlash
  Checks if the battery level is (or ever was) too low to write to the Flash memory.
EM_abandon
  Abandon an archive memory block.
EM_blockVerifyErase
  Verifies if an archive block is erased.
EM_findEmptySlot
  Finds an empty space in the archive memory of the given size.
EM_GC
  Performs garbage collection in the archive memory.
EM_survey
  Collects some useful information about the archive memory.
EM_write
  Writes a block into the extended memory.
FL_addCert
  Adds a certificate.
FL_download
  Installs the product code.
FL_getCert
  Gets a certificate.
FL_getHardwareParmBlock
  Gets a pointer to the hardware parameter block.
FL_getVerNum
  Gets a Flash ROM verification number.
FL_write
  Writes a block into the Flash ROM.
GetAMSSize
  Returns the size of the system code.

Global Variables

FlashMemoryEnd
  A pointer to the first byte after the end of the archive memory.

Constants

NULL
  A null-pointer value.

Predefined Types

Bool
  An enumeration to describe true or false values.
HANDLE
  Represents a handle associated with an allocated memory block.
HARDWARE_PARM_BLOCK
  Structure describing the calculator hardware.
size_t
  A type to define sizes of strings and memory blocks.

Note: The functions EM_blockErase, EM_blockVerifyErase, EM_delete, EM_writeToExtMem, EM_open, and EM_put, which were present in the AMS 1.xx TIOS jump table, don't exist in the AMS 2.xx TIOS jump table any more. This is a pity; some of them were useful (especially the last three of them).
In AMS 2.xx: EM_blockErase is replaced by: OSFastArrows.
EM_delete is replaced by: AB_getGateArrayVersion.
EM_open is replaced by: SetAlphaStatus.
EM_put is replaced by: GetAlphaStatus.
It seems that EM_writeToExtMem was simply removed, and there is no function replacing it.
In addition to the functions defined here, three other functions which work with the archive memory are defined in the vat.h header file: EM_moveSymFromExtMem, EM_moveSymToExtMem and EM_twinSymFromExtMem. Maybe these functions are the most useful functions for working with the archive memory. They are defined in vat.h because they are related to other functions and data structures defined in that header file.